<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<meta name="description" content="Webová aplikace pro správu vodoměru a ventilu - přehled">
<meta name="keywords" content="Správa vodoměru">
<meta name="author" content="Ladislav Hloušek">
<meta name="viewport" content="width=device-width, initial-scale=1.0">

<link rel="stylesheet" href="{{ url_for('static', filename='css/modal.css') }}">
<link rel="stylesheet" href="{{ url_for('static', filename='sbadmin/vendor/bootstrap/css/bootstrap.min.css') }}">
<link rel="stylesheet" href="{{ url_for('static', filename='sbadmin/vendor/metisMenu/metisMenu.min.css') }}">
<link rel="stylesheet" href="{{ url_for('static', filename='sbadmin/vendor/datatables-plugins/dataTables.bootstrap.css') }}">
<link rel="stylesheet" href="{{ url_for('static', filename='sbadmin/vendor/datatables-responsive/dataTables.responsive.css') }}">
<link rel="stylesheet" href="{{ url_for('static', filename='sbadmin/dist/css/sb-admin-2.css') }}">
<link rel="stylesheet" href="{{ url_for('static', filename='sbadmin/vendor/font-awesome/css/font-awesome.min.css') }}" type="text/css">
<link rel="stylesheet" href="{{ url_for('static', filename='datetimepicker/css/bootstrap-datetimepicker.min.css') }}" type="text/css">
<style type="text/css">
.loader {
  border: 16px solid #f3f3f3; /* Light grey */
  border-top: 16px solid #3498db; /* Blue */
  border-radius: 50%;
  width: 120px;
  height: 120px;
  animation: spin 2s linear infinite;
  margin: 0px auto;
}

@keyframes spin {
  0% { transform: rotate(0deg); }
  100% { transform: rotate(360deg); }
}
</style>
<title>Fengoo - WATER GUARD</title>
</head>

<body>
<div id="wrapper">
	<!-- Navigation -->
    <nav class="navbar navbar-default navbar-static-top" role="navigation" style="margin-bottom: 0">
		<div class="navbar-header">
			<button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
				<span class="sr-only">Toggle navigation</span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
            </button>
            <a class="navbar-brand" href="/">
				<img style="display: inline; width: 150px;" src="{{ url_for('static', filename='images/logo.png') }}" alt="logo" title="Logo"/> - WATER GUARD
			</a>
        </div>
		<!-- /.navbar-header -->
		
		<ul class="nav navbar-top-links navbar-left">
			            
		</ul>
		
		<div class="navbar-default sidebar" role="navigation">
			<div class="sidebar-nav navbar-collapse">
				<ul class="nav" id="side-menu">
					<li>
						<a href="/"><i class="fa fa-dashboard fa-fw"></i> Přehled</a>
					</li>
          <li>
						<a href="/kalendar"><i class="fa fa-calendar fa-fw"></i> Kalendář</a>
					</li>          
					<li>
						<a href="/historie"><i class="fa fa-history fa-fw"></i> Historie</a>
					</li>
					<li class="active">
						<a href="/stats"><i class="fa fa-bar-chart fa-fw"></i> Statistiky</a>
					</li>
					<li>
						<a href="/nastaveni"><i class="fa fa-wrench fa-fw"></i> Nastavení</a>
					</li>
					<li>
						<a id="logoutBtn" href="#"><i class="fa fa-sign-out fa-fw"></i> Odhlásit</a>
					</li>
				</ul>
				<p style="text-align:center;">Verze: <span id="ver"></span></p>
				<p style="text-align:center;">© 2016-2022 NetVoice, s.r.o. All rights reserved</p>
			</div>
			<!-- /.sidebar-collapse -->
		</div>
		<!-- /.navbar-static-side -->
    </nav>
	
	<!-- Page Content -->
	<div id="page-wrapper">
		<div class="container-fluid">
			<div class="row">
				<div class="col-xs-12">
					<h1 class="page-header">Statistiky</h1>
				</div>
				<!-- /.col-lg-12 -->
			</div>
			<!-- /.row -->
			
			<div class="row">
				<div class="col-lg-6 col-md-5 col-xs-12">
					<div class="panel panel-primary">
						<div class="panel-heading">
							Přehled spotřeby
						</div>
						<div class="panel-body">
							<div class="row">
								<div class="form-group col-lg-4 col-md-4 col-xs-12">
									<label>Od:</label>
									<input name="fStart" class="form-control date" type="text" id="fStart" />
								</div>
								<div class="form-group col-lg-4 col-md-4 col-xs-12">
									<label>Do:</label>
									<input name="fEnd" class="form-control date" type="text" id="fEnd" />
								</div>
								<div class="form-group col-lg-4 col-md-4 col-xs-12">
									<label>Rozlišení:</label>
									<select name="fRes" class="form-control" id="fRes">
										<option value="min">minuty</option>
										<option value="h">hodiny</option>
										<option value="d" selected>den</option>
										<option value="m">měsíc</option>
									</select>
								</div>
							</div>
							<div class="row">
								<div class="form-group col-lg-3 col-md-3 col-xs-12">
									<button class="btn btn-primary" id="btnApply">Použít</button>
								</div>
							</div>
							<div class="row">
								<div class="loader"></div>
								<canvas id="vodChart" style="width:100%; height: 250px;"></canvas>
							</div>
						</div>
					</div>
				</div>
				<!-- /.col-lg-6 -->
				
				<div class="col-lg-6 col-md-5 col-xs-12">
					<div class="panel panel-primary">
						<div class="panel-heading">
							Zařízení
						</div>
						<div class="panel-body">
							<p><b>Ethernet IP:</b> {{ result['ETH_IP'] }}</p>
							<p><b>WiFi IP:</b> {{ result['WIFI_IP'] }}</p>
							
							<div class="table-responsive" style="overflow-x: hidden;">
								<table class="table table-striped table-bordered table-hover">
									<thead>
										<tr>
											<th>První měření</th>
											<th>Využití CPU</th>
											<th>Využití paměť</th>
											<th>Teplota čipu</th>
											<th>Napětí čipu</th>
										</tr>
									</thead>
									<tbody>
										<tr>
											<td>{{ result['START_MERENI'] }}</td>
											<td>{{ result['CPU'] }}</td>
											<td>{{ result['MEM'] }}</td>
											<td>{{ result['TEPLOTA'] }} °C</td>
											<td>{{ result['NAPETI'] }}</td>
										</tr>
									</tbody>
									<tfoot>
									</tfoot>
								</table>
							</div>
						</div>
					</div>
				</div>
				<!-- /.col-lg-6 -->
				
			</div>
			<!-- /.row -->
		</div>
		<!-- /.container-fluid -->
	</div>
	<!-- /#page-wrapper -->
</div>

<script src="{{ url_for('static', filename='sbadmin/vendor/jquery/jquery.min.js') }}"></script>
<!-- Bootstrap Core JavaScript -->
<script src="{{ url_for('static', filename='sbadmin/vendor/bootstrap/js/bootstrap.min.js') }}"></script>
<!-- Metis Menu Plugin JavaScript -->
<script src="{{ url_for('static', filename='sbadmin/vendor/metisMenu/metisMenu.min.js') }}"></script>
<!-- DataTables JavaScript -->
<script src="{{ url_for('static', filename='sbadmin/vendor/datatables/js/jquery.dataTables.min.js') }}"></script>
<script src="{{ url_for('static', filename='sbadmin/vendor/datatables-plugins/dataTables.bootstrap.min.js') }}"></script>
<script src="{{ url_for('static', filename='sbadmin/vendor/datatables-responsive/dataTables.responsive.js') }}"></script>
<!-- Custom Theme JavaScript -->
<script src="{{ url_for('static', filename='sbadmin/dist/js/sb-admin-2.js') }}"></script>

<script src="{{ url_for('static', filename='js/moment.js') }}"></script>
<script src="{{ url_for('static', filename='fullcalendar/locale-all.js') }}"></script>
<script src="{{ url_for('static', filename='datetimepicker/js/bootstrap-datetimepicker.min.js') }}"></script>
<script src="{{ url_for('static', filename='js/Chart.js') }}"></script>
<script>

var chartRef;
function drawBarChart(chartCtx, chLabels, chData)
{
	return new Chart(chartCtx, {
		type: 'bar',
		data: {
			labels: chLabels,
			datasets: [
			{
				label: '',
				fill:false,
				data: chData,
				backgroundColor: '#E91E63',
				borderColor:  'rgba(255,99,132,1)',
				borderWidth: 1
			}],
		},
		options: {
			scales: {
				yAxes: [{
					ticks: {
						beginAtZero:true,
					}
				}]
			},
			title: {
				display: true,
				text: 'Počet litrů',
			},
			responsive: true,
			
		   tooltips: {
				callbacks: {
					labelColor: function(tooltipItem, chart) {
						return {
							borderColor: 'rgb(255, 0, 20)',
							backgroundColor: 'rgb(255,20, 0)',
						}
					}
				}
			},
			legend: {
				labels: {
					// This more specific font property overrides the global property
					fontColor: 'blue',
				}
			}
		}
	});
}

function drawChart(chartCtx, resolution="d", start='', end='', type='bar')
{
	var dataIn;
	$(".loader").show();

	$.ajax({
		url: "/getChartData",
		type: "post",
		contentType: "application/json",
		dataType: "json",
		data: JSON.stringify({start: start, end: end}),
		success: function(response) {
			var dataRaw = response.payload;
			dataIn = JSON.parse(dataRaw);
			var _labels;
			var _data;
			
			if(resolution == "min")
			{
				_lablels = dataIn.minute.labels;
				_data = dataIn.minute.data;
			}
			
			if(resolution == "h")
			{
				_lablels = dataIn.hour.labels;
				_data = dataIn.hour.data;
			}
			
			if(resolution == "d")
			{
				_lablels = dataIn.day.labels;
				_data = dataIn.day.data;
			}
			
			if(resolution == "m")
			{
				_lablels = dataIn.month.labels;
				_data = dataIn.month.data;
			}
			if(chartRef)
				chartRef.destroy();
			
			chartRef = drawBarChart(chartCtx, _lablels, _data);	
			$(".loader").hide();
		}
	});
}

var dtFormat = 'DD.MM.YYYY HH:mm';
var chartFormat = "YYYY-MM-DD HH:mm";
moment.locale('cs');

$(document).ready(function(){
	$('.date').datetimepicker({
		locale: 'cs',
		format: dtFormat
	});

	$.getJSON("/version", {}, function(data) {
		$("#ver").html(data);
	});
	
	var chartCtx = document.getElementById("vodChart");
	
	drawChart(chartCtx);
	
	//$("#logoutBtn").click(function(){
	//	if(confirm("Opravdu se chcete odhlásit?")) {
	//		location.href ="/logout";
	//	}
	//});
	
	$("#btnApply").click(function(){
		var start="", end="";
		if($('#fStart').val().length > 0)
			start = $('#fStart').data("DateTimePicker").date().format(chartFormat);
		
		if($('#fEnd').val().length > 0)
			end = $('#fEnd').data("DateTimePicker").date().format(chartFormat);
			
		var res = $("#fRes").val();
		
		drawChart(chartCtx, res, start, end);
	});
	
	$(".dataTable").DataTable({
		"responsive": true,
		"lengthChange": true,
		"lengthMenu": [ 10, 25, 50 ],
		"order": [[ 2, "desc" ]],
		"searching": true,
		language: {
			url: "{{ url_for('static', filename='sbadmin/vendor/datatables/js/czech.json') }}"
		},
	});
	
	
});
</script>
<script src="{{ url_for('static', filename='js/modalLogout.js') }}"></script>
</body>

</html>
